Subject: Re: [PATCH][RT][PPC64] Fix preempt unsafe paths accessing per_cpu variables

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 19 Jul 2008 08:05:30 +1000

> With the original patch, the pending batch does get flushed 
> in a non-preemptable region. 
> I am resending the original with just adding the necesary comments.

Your comment isn't what I meant. What I meant is that if the process
is context switched while walking the page tables, the low level powerpc
context switch code should also perform a __flush_tlb_pending.

BTW. Is the pte_lock also not a real spinlock anymore ? That may break
other assumptions the powerpc mm code is doing.

This -rt stuff is just too scary, it changes some fundamental semantics
of the spinlocks. yuck.

Ben.